com.amazonaws.services.cloudfront.model

## Class UpdateDistributionResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.cloudfront.model.UpdateDistributionResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class UpdateDistributionResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

The returned result of the corresponding request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UpdateDistributionResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateDistributionResult` `clone()`
`boolean` `equals(Object obj)`
`Distribution` `getDistribution()` The distribution's information.
`String` `getETag()` The current version of the configuration.
`int` `hashCode()`
`void` `setDistribution(Distribution distribution)` The distribution's information.
`void` `setETag(String eTag)` The current version of the configuration.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateDistributionResult` `withDistribution(Distribution distribution)` The distribution's information.
`UpdateDistributionResult` `withETag(String eTag)` The current version of the configuration.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateDistributionResult

    public UpdateDistributionResult()

### Method Detail

#### setDistribution

    public void setDistribution(Distribution distribution)

The distribution's information.

Parameters:
  `distribution` - The distribution's information.

#### getDistribution

    public Distribution getDistribution()

The distribution's information.

Returns:
  The distribution's information.

#### withDistribution

    public UpdateDistributionResult withDistribution(Distribution distribution)

The distribution's information.

Parameters:
  `distribution` - The distribution's information.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setETag

    public void setETag(String eTag)

The current version of the configuration. For example: `E2QWRUHAPOMQZL`.

Parameters:
  `eTag` - The current version of the configuration. For example: `E2QWRUHAPOMQZL`.

#### getETag

    public String getETag()

The current version of the configuration. For example: `E2QWRUHAPOMQZL`.

Returns:
  The current version of the configuration. For example: `E2QWRUHAPOMQZL`.

#### withETag

    public UpdateDistributionResult withETag(String eTag)

The current version of the configuration. For example: `E2QWRUHAPOMQZL`.

Parameters:
  `eTag` - The current version of the configuration. For example: `E2QWRUHAPOMQZL`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateDistributionResult clone()

Overrides:
  `clone` in class `Object`